    import FiltersVisibility from 'TableFilter/src/extensions/filtersVisibility/filtersVisibility.js'

public class | source

# FiltersVisibility

## Constructor Summary

Public Constructor
public | constructor (tf: Object, f: Object) Filters Row Visibility extension |

## Member Summary

Public Members
public | btnCssClass : * |
public | btnEl : * |
public | btnHtml : * |
public | btnText : * |
public | collapseBtnHtml : * |
public | contCssClass : * |
public | contEl : * |
public | defaultText : string |
public | desc : * |
public | enableIcon : * |
public | expandBtnHtml : * |
public | filtersRowIndex : * |
public | icnCollapse : * |
public | icnCollapseHtml : * |
public | icnExpand : * |
public | icnExpandHtml : * |
public | initialized : boolean |
public | name : * |
public | onAfterHide : * |
public | onAfterShow : * |
public | onBeforeHide : * |
public | onBeforeShow : * |
public | prfx : string |
public | stylesheet : * |
public | targetId : * |
public | tf : * |
public | visibleAtStart : * |

## Method Summary

Public Methods
public | buildUI () Build UI elements |
public | destroy () Destroy the UI |
public | init () Initialise extension |
public | toggle () Toggle filters visibility |

## Public Constructors

### public constructor(tf: Object, f: Object) source

Filters Row Visibility extension

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance
f | Object |  | Config

## Public Members

### public btnCssClass: * source

### public btnEl: * source

### public btnHtml: * source

### public btnText: * source

### public collapseBtnHtml: * source

### public contCssClass: * source

### public contEl: * source

### public defaultText: string source

### public desc: * source

### public enableIcon: * source

### public expandBtnHtml: * source

### public filtersRowIndex: * source

### public icnCollapse: * source

### public icnCollapseHtml: * source

### public icnExpand: * source

### public icnExpandHtml: * source

### public initialized: boolean source

### public name: * source

### public onAfterHide: * source

### public onAfterShow: * source

### public onBeforeHide: * source

### public onBeforeShow: * source

### public prfx: string source

### public stylesheet: * source

### public targetId: * source

### public tf: * source

### public visibleAtStart: * source

## Public Methods

### public buildUI() source

Build UI elements

### public destroy() source

Destroy the UI

### public init() source

Initialise extension

### public toggle() source

Toggle filters visibility